Assign Quotas To Org
Assign quotas to given target organization.
Assign quotas to given target organization.
Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}/quotas
COPY
Path Parameters
string
orgUrn
Required
orgUrn
Request Body
Quotas
of type(s)
application/json
Required
{
"quotaPools": [
{
"enforcingQuotaPolicy": {
"inheritedFrom": {
"name": "string",
"id": "string"
}
},
"quotaPoolDefinition": {
"quotaResourceName": "Running VMs quota is the user friendly name for resource type VM with qualifiers deployed == true. Consumed Memory quota is the user fiendly name for resource type memory.",
"resourceType": "string",
"quotaResourceUnit": "memory unit - MB, cpu unit - MHz, storage unit - MB",
"quota": 0,
"qualifiers": [
"vm.guestOs == Windows"
]
},
"quotaConsumed": 0
}
]
}
array of
quotaPools
quotaPools
Optional
A list of quota pools.
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/orgs/{orgUrn}/quotas
Availability
Added in 35.0
On This Page
Entity Quotas Operations
GET
Get Quotas For Org
PUT
Assign Quotas To Org